Subject: bug#50096: args-out-of-range in redisplay_internal

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Aug 2021 11:12:07 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 19 Aug 2021 10:17:22 +0300
> 
> Fortunately, finally I found the shortest test case 100% reproducible
> in 'emacs -Q'.  The line '(set-buffer (get-buffer-create "*test*"))'
> is not necessary, it just causes a slightly different error.
> Without 'set-buffer', the error is: (args-out-of-range 1737)
> With 'set-buffer', the error is: (args-out-of-range 1737 1737)

Thanks.  This actually produces an assertion violation here (I guess
your Emacs is compiled without --enable-checking).  I'll work on this.